﻿/*
 * platform specific native functions
 * windows shown as an example
 */

function do_tryagain() {
    //   alert('try again');
    window.external.errorScreenRetry();
}

function do_menu() {
    //   alert('do menu');

    /* Tell native client that we want a menu shown.
       Original API just asks for a menu, but we have added the ability to pass the location
       of the 'button' as an argument.
       To avoid any issue with compatability, we only pass this if the location flag is indicated when the 
       page was loaded
    */
    if (getHashParam("location=")!="")
     {
        var menu = document.getElementById("menu");
        var button = document.getElementsByClassName("settings-button-arrow")[0];

        var menurect = menu.getBoundingClientRect();
        var buttonrect = button.getBoundingClientRect();


        var xleft = menurect.left;
        var ytop = buttonrect.top;
        var xright = buttonrect.right;
        var ybottom = buttonrect.bottom;

        window.external.errorScreenMenu(xleft,ytop,xright,ybottom);
    } else {
        window.external.errorScreenMenu();
    }
}
